* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html,
body {
  /* height: 100%;
  width: 100%; */
  font-family: DomaineDispCondMedium;
}

#main{
  background-color: black;
}
#Page1 {
  height: 100vh;
  width: 100%;
  color: white;
  background-color: black;
}

nav {
  height: 10vh;
  width: 100%;
  display: flex;
  align-items: center;
  position: fixed;
  justify-content: space-between;
  padding: 0vh 9vw;
  z-index: 9;
  color: white;
  background-color: black;
}

nav > h2 {
  font-family: sf pro display semibold;
  text-transform: uppercase;
  font-size: 4vw;
}
nav > h2 span {
  color: #f81e50;
}

#nav_contain {
  margin: 0vh 5vw;
}

#nav_contain a {
  margin: 0vh 1vw;
  text-decoration: none;
  position: relative;
  color: white;
  font-size: 2vw;
}

#nav_contain a::after {
  content: "";
  height: 3px;
  width: 0%;
  position: absolute;
  /* background-color: white; */
  bottom: -10%;
  left: 0;
  transition: all ease 0.5s;
  border-bottom: 2px solid white;
}

#nav_contain a:hover::after {
  content: "";
  width: 100%;
}
#Page1 h3 {
  font-family: DomaineDispCond;
  position: absolute;
  top: 40%;
  transform: translateY(-50%);
  left: 5%;
  font-size: 2vw;
  font-weight: 200;
}

#Page1 {
  height: 100vh;
  width: 100%;
  background-color: #000000;
  /* background-color: #080808; */
  position: relative;
  color: white;
}
#Page1 img {
  position: absolute;
  left: 50%;
  top: 20%;
  width: 50vw;
}

#Page1 h1 {
  font-family: DomaineDispCondMedium;
  position: absolute;
  top: 55%;
  transform: translateY(-50%);
  left: 5%;
  font-size: 4vw;
}
#Page1 h1 span {
  color: #f81e50;
}

/* Styles for smaller screens (mobile) */

#page2 {
  height: 100vh;
  width: 100%;
  background-color: #080808;
  position: relative;
  color: white;
}

#page2 > #image_div {
  background-color: rgb(63, 63, 63);
  height: 70vh;
  width: 25vw;
  border-radius: 15px;
  position: absolute;
  top: 15%;
  overflow: hidden;
  left: 5%;
}

#image_div > img {
  height: 85vh;
  width: 25vw;
  filter: grayscale(100%);
}
#page2 h2 {
  font-size: 5vw;
  position: absolute;
  left: 60%;
  top: 20%;
}
#page2 p {
  font-size: 1.5vw;
  position: absolute;
  left: 40%;
  top: 35%;
  width: 60%;
}

#page3 {
  height: 100vh;
  width: 100%;
  background-color: rgb(56, 56, 56);
  color: white;
  position: relative;
}

#page3 > h1 {
  font-size: 4vw;
  position: absolute;
  transform: translateX(-50%);
  left: 50%;
  margin-top: 5vh;
  border-bottom: 2px solid #f81e50;
}
#page3 > #skill_container {
  height: 60vh;
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 0vh 10vw;
  align-items: center;
}

#language {
  height: 50vh;
  width: 25vw;
  margin-top: 30vh;
  padding: 2vh 2vw;
  background: rgba(0, 0, 0, 0.2);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(0, 0, 0, 0.3);
  padding: 2vh 2vw;
}
#language h1 {
  font-size: 3vw;
  text-align: center;
  margin-bottom: 1vh;
}
#language h2 {
  font-size: 1.8vw;
  text-align: left;
  padding: 0.5vh 1vw;
}

#language img {
  height: 40%;
  position: absolute;
  width: 30%;
  bottom: 2%;
  left: 50%;
  transform: translateX(-50%);
}

#dev {
  height: 50vh;
  width: 25vw;
  margin-top: 30vh;
  padding: 2vh 2vw;
  background: rgba(0, 0, 0, 0.2);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(0, 0, 0, 0.3);
}
#dev h1 {
  margin-bottom: 1vh;
  font-size: 3vw;
  text-align: center;
}
#dev h2 {
  font-size: 1.8vw;

  text-align: left;
  padding: 0.5vh 1vw;
}

#dev img {
  height: 30%;
  position: absolute;
  width: 70%;
  bottom: 2%;
  left: 50%;
  transform: translateX(-50%);
}

#libraries {
  height: 50vh;
  width: 25vw;
  margin-top: 30vh;
  padding: 2vh 2vw;
  background: rgba(0, 0, 0, 0.2);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(0, 0, 0, 0.3);
  padding: 2vh 2vw;
}
#libraries h1 {
  font-size: 3vw;

  text-align: center;
  margin-bottom: 1vh;
}
#libraries h2 {
  font-size: 1.8vw;

  text-align: left;
  padding: 1vh 1vw;
}
#libraries img {
  height: 50%;
  position: absolute;
  width: 40%;
  bottom: 2%;
  left: 50%;
  transform: translateX(-50%);
}

#page4 {
  height: 100vh;
  width: 100%;
  background-color: #080808;
  display: flex;
  padding: 4vh 4vw;
  gap: 2vw;
  color: white;
  position: relative;
}

#page4 > h1 {
  font-size: 4vw;
  position: absolute;
  transform: translateX(-50%);
  left: 50%;
  margin-top: 3vh;
  border-bottom: 2px solid #f81e50;
}

.project_card_1 > a {
  font-size: 4vw;
  position: absolute;
  transform: translateX(-50%);
  left: 50%;
  margin-top: 3vh;
  border-bottom: 2px solid #f81e50;
}

.project_card_1 {
  height: 20vw;
  width: 20vw;
  margin-top: 20vh;

  position: absolute;
  border-radius: 20px;
  background-image: url(Assets/FoodWebsite.png);
  background-size: cover;
  transition: all ease 1s;
}

.project_card_1:hover {
  width: 50vw;
  height: 50vh;
  z-index: 9;

  background: rgba(248, 30, 80, 0.25);
  box-shadow: 0 8px 32px 0 rgba(177, 38, 38, 0.37);
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.18);

  /* border-bottom: 30vw solid rgb(242, 237, 237); */
  background-size: cover;
  /* background-position: center; */
  background-image: url(Assets/FoodWebsite.png);
}
.project_card_1 a {
  font-size: 0vw;
  color: white;
  position: absolute;
  text-decoration: none;
  left: 0%;
  top: 2%;
  padding: 0.3vh 1vw;
  transition: all ease 2s;

  background: rgba(255, 255, 255, 0.2);
  transition: 0.3s ease;
  backdrop-filter: blur(30px);
  border-radius: 15px;
  width: var(--container-width);
  height: var(--container-height);

  opacity: 0; /* Initially hidden */
}

.project_card_1:hover a {
  font-size: 3vw;
  opacity: 1; /* Show the link on hover */
  left: 5%;
}

.project_card_2 {
  height: 20vw;
  width: 20vw;
  margin-top: 20vh;
  position: absolute;
  border-radius: 20px;
  bottom: 5%;
  left: 27%;
  background-image: url(Assets/AppleViosn.png);
  background-size: cover;
  background-position: center;
  transition: all ease 1s;
}
.project_card_2:hover {
  width: 20vw;
  height: 70vh;
  background: rgba(248, 30, 80, 0.25);
  box-shadow: 0 8px 32px 0 rgba(255, 255, 255, 0.37);
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  background-size: cover;
  background-position: center;
  background-image: url(Assets/AppleViosn.png);
}
.project_card_2 a {
  font-size: 0vw;
  color: white;
  position: absolute;
  text-decoration: none;
  padding: 0.3vh 1vw;
  right: 0%;
  top: 2%;
  transition: all ease 1s;
  opacity: 0; /* Initially hidden */
  background: rgba(255, 255, 255, 0.2);
  transition: 0.3s ease;
  backdrop-filter: blur(30px);
  border-radius: 15px;
  width: var(--container-width);
  height: var(--container-height);
}

.project_card_2:hover a {
  font-size: 2.5vw;
  opacity: 1; /* Show the link on hover */
  right: 5%;
}

.project_card_3 {
  height: 20vw;
  width: 20vw;
  margin-top: 20vh;
  position: absolute;
  border-radius: 20px;
  bottom: 5%;
  left: 50%;
  background-image: url(Assets/Miranda.png);
  background-size: cover;
  background-position: center;
  transition: all ease 1s;
}
.project_card_3:hover {
  width: 20vw;
  height: 70vh;
  background: rgba(248, 30, 80, 0.25);
  box-shadow: 0 8px 32px 0 #c4bcb299;
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  /* border-bottom: 30vw solid rgb(242, 237, 237); */
  background-size: cover;
  background-position: center;
  background-image: url(Assets/Miranda.png);
}
.project_card_3 a {
  font-size: 0vw;
  color: white;
  position: absolute;
  text-decoration: none;
  padding: 0.3vh 1vw;
  right: 0%;
  top: 2%;
  transition: all ease 1s;
  opacity: 0; /* Initially hidden */
  background: rgba(94, 94, 94, 0.2);
  transition: 0.3s ease;
  backdrop-filter: blur(30px);
  border-radius: 15px;
  width: var(--container-width);
  height: var(--container-height);
}

.project_card_3:hover a {
  font-size: 2.5vw;
  opacity: 1; /* Show the link on hover */
  right: 5%;
}

.project_card_4 {
  height: 20vw;
  width: 20vw;
  margin-top: 20vh;
  border-radius: 20px;

  position: absolute;
  right: 7%;
  background-image: url(Assets/FantaWebsite.png);
  background-size: cover;
  background-position: center;
  transition: all ease-in-out 0.8s;
  border-bottom: 0vw solid black;
}

.project_card_4 a {
  font-size: 0vw;
  color: white;
  position: absolute;
  text-decoration: none;
  padding: 0.3vh 1vw;
  right: 0%;
  top: 2%;
  transition: all ease 1s;
  opacity: 0; /* Initially hidden */

  background: rgba(0, 0, 0, 0.2);
  transition: 0.3s ease;
  backdrop-filter: blur(30px);
  border-radius: 15px;
  width: var(--container-width);
  height: var(--container-height);
}

.project_card_4:hover a {
  font-size: 3vw;
  opacity: 1; /* Show the link on hover */
  right: 5%;
}

.project_card_4:hover {
  width: 50vw;
  height: 50vh;
  background: rgba(74, 74, 74, 0.25);
  box-shadow: 0 8px 32px 0 rgba(226, 160, 45, 0.37);
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.18);
  background-size: cover;
  background-image: url(Assets/FantaWebsite.png);
}

/* #page5 {
  height: 100vh;
  max-width: 100%;
  position: relative;
  background-color: black;
}


.bento-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
  
}

.bento-item {
  background-color: #f0f0f0;
  width: 200px;
  height: 150px;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
} */


@media only screen and (max-width: 767px) {
  html,
  body {
    /* height: 100%;
  width: 100%; */
    font-family: DomaineDispCondMedium;
  }

  /* Adjustments for smaller screens */
  #Page1 {
    height: 60vh;
    width: 100%;
    color: white;
    background-color: rgb(0, 0, 0);
  }
  #Page1 img {
    width: 90%;
    left: 50%;
    top: 20%;
    transform: translateX(-50%);
  }

  #Page1 h3 {
    font-size: 3vw;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  #Page1 h1 {
    font-size: 5vw;

    top: 78%;
    left: 50%;

    transform: translate(-50%, -50%);
  }

  #page2 {
    height: 55vh;
    width: 100%;
    background-color: rgb(0, 0, 0);
    position: relative;
    color: white;
  }

  #page2 > #image_div {
    background-color: rgb(63, 63, 63);
    height: 30vh;
    width: 58vw;
    border-radius: 15px;
    position: absolute;
    top: 20%;
    overflow: hidden;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  #image_div > img {
    height: 50vh;
    width: 100%;
    filter: grayscale(100%);
  }
  #page2 h2 {
    font-size: 7.5vw;
    position: absolute;
    left: 50%;
    top: 52%;
    transform: translate(-50%, -50%);
  }
  #page2 > p {
    font-size: 3.5vw; /* Adjust font size for smaller screens */
    position: absolute; /* Reset position to default */
    left: auto;
    top: auto;
    width: 85%; /* Adjust width to leave space from left and right */
    margin: 10%; /* Center the element horizontally */
    top: 49%;
  }

  #page3{
    height: 120vh;
    width: 100%;
  }
  #page3 > h1 {
    font-size: 9vw;
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    margin-top: 2vh;
    border-bottom: 4px solid #f81e50;
  }
  #page3 > h1 {
    font-size: 9vw; /* Adjust font size for smaller screens */
    margin-top: 1vh; /* Adjust margin top for smaller screens */
  }

  #skill_container {
    height: 120vh;
    width: 100%;
    display: flex;
    flex-direction: column; /* Stack items vertically on smaller screens */
    align-items: center; /* Center items horizontally on smaller screens */
    padding: 0; /* Reset padding for smaller screens */
  }

  #language, #dev, #libraries {
    height: 80vh; /* Adjust height for smaller screens */
    width: 90%; /* Adjust width for smaller screens */
    margin-top: 10vh; /* Adjust margin top for smaller screens */
    padding: 2vh 2vw; /* Adjust padding for smaller screens */
  }

  #language h1, #dev h1, #libraries h1 {
    font-size: 6vw; /* Adjust font size for smaller screens */
  }

  #language h2
  {

   margin-bottom: 15vh;
    
  }
  #language img
  {

    height: 15vh;
    width: 40%;

  }

  
  #dev h2:nth-child(4){
    margin-bottom: 10vh;

  }
  #dev img{
    height: 15vh;
    width: 40%;
    height: 30%; 
    width: 70%;  
    bottom: 2%;  
    left: 50%;   
    transform: translateX(-50%); 

  }

  #libraries h2:nth-child(3){ 
    margin-bottom: 12vh;
  }
  #libraries img{
    height: 15vh;
    width: 40%;
  }
  #language h2, #dev h2, #libraries h2 {
    font-size: 4vw; /* Adjust font size for smaller screens */
    text-align: center; /* Center text on smaller screens */
  }

  #page4 > h1 {
    font-size: 8vw; /* Adjust font size for smaller screens */
  }

  .project_card_1 {
    height: 50vh;
    width: 20vw;
    position: absolute;
    top: 5%;

    left: 5%;
    border-radius: 20px;
    background-image: url(Assets/FoodWebsite.png);
    background-size: cover;
    background-position: center;
    transition: all ease 1s;
  
  }



  
  .project_card_2 {
    height: 50vh;
    width: 20vw;
    position: absolute;
    border-radius: 20px;
    top: 5%;
    left: 27%;
    background-image: url(Assets/AppleViosn.png);
    background-size: cover;
    background-position: center;
    transition: all ease 1s;
  }

  
  .project_card_3 {
    height: 50vh;
    width: 20vw;
    position: absolute;
    border-radius: 20px;
    top: 5%;
    left: 51%;
    background-image: url(Assets/Miranda.png);
    background-size: cover;
    background-position: center;
    transition: all ease 1s;
  }

  .project_card_4 {
    height: 50vh;
    width: 20vw;
    position: absolute;
    border-radius: 20px;
    top: 5%;
    left: 75%;
    background-image: url(Assets/FantaWebsite.png);
    background-size: cover;
    background-position: center;
    transition: all ease 1s;
  }

  .project_card_1:hover{
    height: 50vh;
    width: 20vw;
    scale: 1.2;
    
  }
  .project_card_2:hover{
    height: 50vh;
    width: 20vw;
    scale: 1.2;
  }
  .project_card_3:hover{
    height: 50vh;
    width: 20vw;
    scale: 1.2;
  }

  .project_card_4:hover{
    height: 50vh;
    width: 20vw;
    scale: 1.2;
  }

  .project_card_1:hover a {
    font-size: 7.5vw;
    opacity: 1; /* Show the link on hover */
    right: 5%;
  }
  .project_card_2:hover a {
    font-size: 7.5vw;
    opacity: 1; /* Show the link on hover */
    right: 5%;
  }
  .project_card_3:hover a {
    font-size: 7.5vw;
    opacity: 1; /* Show the link on hover */
    right: 5%;
  }
  .project_card_4:hover a {
    font-size: 7.5vw;
    opacity: 1; /* Show the link on hover */
    right: 5%;
  }
  #page4 > h1 {
    font-size: 15vw;
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    margin-top: 3vh;
    border-bottom: 2px solid #f81e50;
  }
  
  .project_card_1 > a {
    font-size: 4vw;
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    margin-top: 3vh;
    border-bottom: 3.5px solid #f81e50;
  }

}
